import * as core from '@actions/core';
import * as fs from 'fs';

/**
 * The main function for the action.
 *
 * @returns Resolves when the action is complete.
 */
export async function run(): Promise<void> {
  try {
    const bakefile: string = core.getInput('bakefile', { required: true });
    const metadata = JSON.parse(fs.readFileSync(bakefile, 'utf-8'));
    core.info(`Metadata: ${JSON.stringify(metadata)}`);
    // core.info(`Bakefile:\t${bakefile}`);
  } catch (error) {
    // Fail the workflow run if an error occurs
    if (error instanceof Error) core.setFailed(error.message);
  }
}
